Package org.apache.sysds.runtime.io

## Class FileFormatPropertiesCSV

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties
  - - org.apache.sysds.runtime.io.FileFormatPropertiesCSV

- All Implemented Interfaces:
    `Serializable`

      public class FileFormatPropertiesCSV
      extends FileFormatProperties
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileFormatPropertiesCSV()` |
    `FileFormatPropertiesCSV​(boolean hasHeader, String delim, boolean sparse)` |
    `FileFormatPropertiesCSV​(boolean hasHeader, String delim, boolean fill, double fillValue, String naStrings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDelim()` |
    `double` | `getFillValue()` |
    `HashSet<String>` | `getNAStrings()` |
    `boolean` | `hasHeader()` |
    `boolean` | `isFill()` |
    `boolean` | `isSparse()` |
    `void` | `setDelim​(String delim)` |
    `void` | `setFill​(boolean fill)` |
    `void` | `setFillValue​(double fillValue)` |
    `void` | `setHeader​(boolean hasHeader)` |
    `void` | `setNAStrings​(HashSet<String> naStrings)` |
    `void` | `setSparse​(boolean sparse)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

      `getBlocksize, getDescription, knownBlocksize, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileFormatPropertiesCSV

          public FileFormatPropertiesCSV()

    - #### FileFormatPropertiesCSV

          public FileFormatPropertiesCSV​(boolean hasHeader,
                                         String delim,
                                         boolean fill,
                                         double fillValue,
                                         String naStrings)

    - #### FileFormatPropertiesCSV

          public FileFormatPropertiesCSV​(boolean hasHeader,
                                         String delim,
                                         boolean sparse)

  - ### Method Detail

    - #### hasHeader

          public boolean hasHeader()

    - #### setHeader

          public void setHeader​(boolean hasHeader)

    - #### getDelim

          public String getDelim()

    - #### setNAStrings

          public void setNAStrings​(HashSet<String> naStrings)

    - #### getNAStrings

          public HashSet<String> getNAStrings()

    - #### setDelim

          public void setDelim​(String delim)

    - #### isFill

          public boolean isFill()

    - #### setFill

          public void setFill​(boolean fill)

    - #### getFillValue

          public double getFillValue()

    - #### setFillValue

          public void setFillValue​(double fillValue)

    - #### isSparse

          public boolean isSparse()

    - #### setSparse

          public void setSparse​(boolean sparse)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`